.overviewPage{
    background-image: url('/green_background.jpeg');
    background-repeat:no-repeat;
    background-size:auto;
    height: 100vh;
    width: 100vw;
    padding: 30px;
    display: flex;
    flex-direction: column;
    font-family:'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
    box-sizing: border-box;
}
.menuRow{
    display: flex;
    align-items: center;
    justify-content: center;
    background: #ffffff78;
    -webkit-backdrop-filter: blur(10px);
    backdrop-filter: blur(10px);
    width: 100%;
}
.menuRow button{
    width: 100px;
    height: 30px;
    margin: 10px;
    border: none;
    font-size: 17px;
    transition-duration: 0.4s;
}
.menuRow button:hover{
    color: #ffffff;
    background-color: #04AA6D;
}
.greenButton{
    color: #ffffff;
    background-color: #04AA6D;
}
.menuRow p{
    margin: 10px;
}
.infoContainer{
    background: #ffffff78;
    -webkit-backdrop-filter: blur(10px);
    backdrop-filter: blur(10px);
    width: 100%;
    height: 550px;
    display: flex;
    flex-direction: row;
    justify-content: space-evenly;
}
.infoCard{
    flex: 5;
    padding: 10px;
    display: flex;
    flex-direction: column;
    min-width: 400px;
    min-height: 400px;
}
.buildingType{
    flex: 6;
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    justify-content: space-evenly;
    align-items: flex-start;
    padding: 10px;
}
.loading{
    flex: 6;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 10px;

}
.buildingButton{
    background-color: #5f9ea0a5;
    width: 300px;
    text-align:start;
    padding-left: 10px;
    margin: 5px;
    cursor: pointer;
}
.buildingButton:hover{
    background-color: #5f9ea0;
}
.infoText{
    flex:1;
}
.infoText p{
    text-align: left;
}
.infoPicture{
    height: 100%;
    width: 97%;
}
.buttonRow{
    display: flex;
    width: 100%;
}
.signOutButton{
    flex: 5;
    display: flex;
}
.signOutButton button{
    border: none;
    transition-duration: 0.4s;
    height: 35px;
}
.signOutButton button:hover{
    background-color: #ff7b00;
}
.directionButton{
    flex: 6;
    display: flex;
    padding-left: 30px;
}
.disabled{
    pointer-events: none;
}
.directionButton button{
    width: 150px;
    transition-duration: 0.4s;
    border: none;
    cursor: pointer;
    height: 35px;
    font-size: 25px;
}
.directionButton button:hover{
    color: #ffffff;
    background-color: #04AA6D;
}
.errorMsg{
    color: #c40e0e;
}


@media screen and (max-width: 1180px) and (min-width: 845px) {
    .buildingButton{
        width: 70%;
    }
    .overviewPage{
        padding: 0;
        justify-content: center;
        align-items: center;
    }
}
@media screen and (max-width: 844px) {
    .menuRow{
        display: block;
    }
    .infoContainer{
        flex-direction: column;
        height: auto;
        min-width: 330px;
    }
    .buildingButton{
        width: 92%;
    }
    .directionButton button{
        width: 90px;
    }
    .overviewPage{
        padding: 0;
    }
}

